aboutsummaryrefslogtreecommitdiffstats
path: root/testing/glamor-egl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-09-09 09:44:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-09-09 09:44:50 +0000
commiteaa7615010fbe40b99f18c439e15f077989b3683 (patch)
tree2d75a6c4f06b069d70ddca59dd934145a318a3a6 /testing/glamor-egl/APKBUILD
parent4949053fd54d13e89a39d20d3ef6c8f0ba819a5e (diff)
downloadaports-eaa7615010fbe40b99f18c439e15f077989b3683.tar.gz
aports-eaa7615010fbe40b99f18c439e15f077989b3683.tar.bz2
aports-eaa7615010fbe40b99f18c439e15f077989b3683.tar.xz
testing/glamor-egl: new aport
X.org glamor library http://www.freedesktop.org/wiki/Software/Glamor
Diffstat (limited to 'testing/glamor-egl/APKBUILD')
-rw-r--r--testing/glamor-egl/APKBUILD51
1 files changed, 51 insertions, 0 deletions
diff --git a/testing/glamor-egl/APKBUILD b/testing/glamor-egl/APKBUILD
new file mode 100644
index 0000000000..527dcece40
--- /dev/null
+++ b/testing/glamor-egl/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer:
+pkgname=glamor-egl
+pkgver=0.6.0
+pkgrel=0
+pkgdesc="X.org glamor library"
+url="http://www.freedesktop.org/wiki/Software/Glamor"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="mesa-dev"
+makedepends="$depends_dev xorg-server-dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://xorg.freedesktop.org/releases/individual/driver/glamor-egl-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/glamor-egl-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la "$pkgdir"/usr/lib/xorg/modules/*.la
+}
+
+md5sums="b3668594675f71a75153ee52dbd35535 glamor-egl-0.6.0.tar.bz2"
+sha256sums="66531b56e6054eb53daa7bd57eb6358a7ead1b84f63419606e69d1092365e5c9 glamor-egl-0.6.0.tar.bz2"
+sha512sums="aa3a88e85ae069e487c88a1839c21b0404c5a2a343a63f2c1d71ffb8d86288eb42dfcb30c8cce4c417b361417e9fae7c1cdabadc07ad40bb97c995c410dc0c1b glamor-egl-0.6.0.tar.bz2"